### Function

# GdkPixbuf Pixbuf get_file_info

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info (
      const gchar* filename,
      gint* width,
      gint* height
    )

#### Description [src]

Parses an image file far enough to determine its format and size.

Available since: | 2.4

#### Parameters

`filename` | `const gchar*`
| The name of the file to identify.
| The data is owned by the caller of the function.
| The value is a file system path, using the OS encoding.
`width` | `gint*`
| Return location for the width of the image.
| The argument will be set by the function.
| The argument can be `NULL`.
`height` | `gint*`
| Return location for the height of the image.
| The argument will be set by the function.
| The argument can be `NULL`.

#### Return value

Returns: | `GdkPixbufFormat`
| A `GdkPixbufFormat` describing the image format of the file.
| The data is owned by the called function.
| The return value can be `NULL`.